Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class AdminObjectMetaData

    java.lang.Object
      org.jboss.resource.metadata.ConfigPropertyMetaDataContainer
          org.jboss.resource.metadata.AdminObjectMetaData

All Implemented Interfaces:
  Serializable

public class AdminObjectMetaData
extends ConfigPropertyMetaDataContainer

Admin object meta data

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`AdminObjectMetaData()`

Method Summary
`String` | `getAdminObjectImplementationClass()` Get the admin object implementation class
`String` | `getAdminObjectInterfaceClass()` Get the admin object interface class
`void` | `setAdminObjectImplementationClass(String adminObjectImplementationClass)` Set the admin object implementation class
`void` | `setAdminObjectInterfaceClass(String adminObjectInterfaceClass)` Set the admin object interface class
`String` | `toString()`

Methods inherited from class org.jboss.resource.metadata.ConfigPropertyMetaDataContainer
`addProperty, getProperties, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminObjectMetaData

    public AdminObjectMetaData()

Method Detail

### getAdminObjectInterfaceClass

    public String getAdminObjectInterfaceClass()

  Get the admin object interface class

  Returns:
    the admin object interface class

### setAdminObjectInterfaceClass

    public void setAdminObjectInterfaceClass(String adminObjectInterfaceClass)

  Set the admin object interface class

  Parameters:
    `adminObjectInterfaceClass` - the class name

### getAdminObjectImplementationClass

    public String getAdminObjectImplementationClass()

  Get the admin object implementation class

  Returns:
    the admin object implementation class

### setAdminObjectImplementationClass

    public void setAdminObjectImplementationClass(String adminObjectImplementationClass)

  Set the admin object implementation class

  Parameters:
    `adminObjectImplementationClass` - the class name

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.